Linux unitednationsplay.com 3.10.0-1160.45.1.el7.x86_64 #1 SMP Wed Oct 13 17:20:51 UTC 2021 x86_64
nginx/1.20.1
Server IP : 188.130.139.92 & Your IP : 3.21.163.198
Domains :
Cant Read [ /etc/named.conf ]
User : web
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
libexec /
mc /
extfs.d /
Delete
Unzip
Name
Size
Permission
Date
Action
README
7.22
KB
-rw-r--r--
2016-11-05 23:18
README.extfs
1.11
KB
-rw-r--r--
2016-11-05 23:18
a+
3.13
KB
-rwxr-xr-x
2016-11-05 23:18
apt+
9.5
KB
-rwxr-xr-x
2016-11-05 23:18
audio
1.29
KB
-rwxr-xr-x
2016-11-05 23:18
bpp
1.18
KB
-rwxr-xr-x
2016-11-05 23:18
changesetfs
2.5
KB
-rwxr-xr-x
2016-11-05 23:18
deb
5.34
KB
-rwxr-xr-x
2016-11-05 23:18
deba
3
KB
-rwxr-xr-x
2016-11-05 23:18
debd
10.26
KB
-rwxr-xr-x
2016-11-05 23:18
dpkg+
8.79
KB
-rwxr-xr-x
2016-11-05 23:18
gitfs+
776
B
-rwxr-xr-x
2016-11-05 23:18
hp48+
2.57
KB
-rwxr-xr-x
2016-11-05 23:18
iso9660
2.7
KB
-rwxr-xr-x
2016-11-05 23:18
lslR
1.25
KB
-rwxr-xr-x
2016-11-05 23:18
mailfs
5.35
KB
-rwxr-xr-x
2016-11-05 23:18
patchfs
10.63
KB
-rwxr-xr-x
2016-11-05 23:18
patchsetfs
2.26
KB
-rwxr-xr-x
2016-11-05 23:18
rpm
9.79
KB
-rwxr-xr-x
2016-11-05 23:18
rpms+
1.47
KB
-rwxr-xr-x
2016-11-05 23:18
s3+
9.94
KB
-rwxr-xr-x
2016-11-05 23:18
trpm
7.65
KB
-rwxr-xr-x
2016-11-05 23:18
u7z
2.98
KB
-rwxr-xr-x
2016-11-05 23:18
uace
1.23
KB
-rwxr-xr-x
2016-11-05 23:18
ualz
1.25
KB
-rwxr-xr-x
2016-11-05 23:18
uar
1.29
KB
-rwxr-xr-x
2016-11-05 23:18
uarc
1.59
KB
-rwxr-xr-x
2016-11-05 23:18
uarj
1.62
KB
-rwxr-xr-x
2016-11-05 23:18
uc1541
19.24
KB
-rwxr-xr-x
2016-11-05 23:18
ucab
734
B
-rwxr-xr-x
2016-11-05 23:18
uha
969
B
-rwxr-xr-x
2016-11-05 23:18
ulha
3.78
KB
-rwxr-xr-x
2016-11-05 23:18
ulib
2.74
KB
-rwxr-xr-x
2016-11-05 23:18
urar
2.41
KB
-rwxr-xr-x
2016-11-05 23:18
uzip
14.37
KB
-rwxr-xr-x
2016-11-05 23:18
uzoo
1.39
KB
-rwxr-xr-x
2016-11-05 23:18
Save
Rename
#! /bin/sh # # extfs support for p7zip # Written by Pavel Roskin <proski@gnu.org> # Some Bugfixes/workarounds by Sergiy Niskorodov <sgh@mail.zp.ua> # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. P7ZIP=`which 7z 2>/dev/null` || P7ZIP=`which 7za 2>/dev/null` || P7ZIP=`which 7zr 2>/dev/null` || P7ZIP="" mcu7zip_list () { # Symlinks are not shown - no idea how to distinguish them # Read-only files are not shown as such - it's rarely useful ugid="`id -nu` `id -ng`" date_re='^\(....\)-\(..\)-\(..\) \(..:..:..\)' date_mc='\2-\3-\1 \4' size_re='............' $P7ZIP l "$1" | sed -n "s/$date_re D.... $size_re $size_re\(.*\)/drwxr-xr-x 1 $ugid 0 $date_mc \5/p;s/$date_re \..... \($size_re\) $size_re\(.*\)/-rw-r--r-- 1 $ugid \5 $date_mc \6/p" } mcu7zip_copyout () { #first we check if we have old p7zip archive with prefix ./ in filename $P7ZIP l "$1" "$2" | grep -q "0 files, 0 folders" && \ EXFNAME='*./'"$2" || EXFNAME="$2" $P7ZIP e -so "$1" "$EXFNAME" > "$3" 2>/dev/null } mcu7zip_copyin () { $P7ZIP a -si"$2" "$1" <"$3" >/dev/null 2>&1 } mcu7zip_mkdir () { dir=`mktemp -d "${MC_TMPDIR:-/tmp}/mctmpdir-u7z.XXXXXX"` || exit 1 mkdir -p "$dir"/"$2" $P7ZIP a -w"$dir" "$1" "$dir"/"$2" >/dev/null 2>&1 rm -rf "$dir" } mcu7zip_rm () { # NOTE: Version 4.20 fails to delete files in subdirectories #first we check if we have old p7zip archive with prefix ./ in filename $P7ZIP l "$1" "$2" | grep -q "0 files, 0 folders" && \ EXFNAME='*./'"$2" || EXFNAME="$2" $P7ZIP d "$1" "$EXFNAME" 2>&1 | grep -q E_NOTIMPL > /dev/null 2>&1 && \ { printf "Function not implemented...\n7z cannot delete from solid archive." >&2 ; exit 1 ; } } mcu7zip_rmdir () { #first we check if we have old p7zip archive with prefix ./ in filename $P7ZIP l "$1" "$2" | grep -q "0 files, 0 folders" && \ EXFNAME='*./'"$2" || EXFNAME="$2" $P7ZIP d "$1" "$EXFNAME"/ 2>&1 | grep -q E_NOTIMPL > /dev/null 2>&1 && \ { printf "Function not implemented...\n7z cannot delete from solid archive." >&2 ; exit 1 ; } } # override any locale for dates LC_DATE=C export LC_DATE umask 077 if [ -z "$P7ZIP" ]; then echo "Error: could not find p7zip (looked for 7z, 7za and 7zr)" >&2 exit 1 fi cmd="$1" shift case "$cmd" in list) mcu7zip_list "$@" | sort -k 8 ;; copyout) mcu7zip_copyout "$@" ;; copyin) mcu7zip_copyin "$@" ;; mkdir) mcu7zip_mkdir "$@" ;; rm) mcu7zip_rm "$@" ;; rmdir) mcu7zip_rmdir "$@" ;; *) exit 1 ;; esac exit 0